This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 111786 - Tracking Bug for Vesa Driver Testing Reports
Tracking Bug for Vesa Driver Testing Reports
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-09 22:18 EST by Jef Spaleta
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 04:02:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2003-12-09 22:18:04 EST
Mike Harris has asked for testing of the Vesa video driver, which
could be used for a "safe mode" in Fedora.  The problem is that many
BIOS's Vesa modes are broken, so he needs a good blacklist of broken
situations with the Vesa driver.

This bug is meant to be a tracker for all the failure bug reports
that get generated for Cards that appear to have problems with using
the Vesa driver.

Doing The Testing:
Testing a Card for use with the Vesa driver invovles reconfiguring the
X config(this will most likely have to be done by hand editting the
config file, i don't know if r-c-xfree86 can be used for this) to use
the vesa driver (man vesa) and then reviewing the X log output to
determine which graphics modesthe Vesa driver supports for the video
hardware. 

Each supported video mode listed in the X log should be tested to see
if there is an obvious failure/problem. A simple start of the X
server, and fire up an app or two with no on screen corruption or
crash is a good enough quick test. Then, for any failures we need a
bug report, with config file, log file, full details, and lspci -vvn

Filing a Bug:
*Please also use this Summary string when filing a bug
    Vesa Driver Testing Failure for [video card name]

*give as much detail as you can in the description. If multiple modes
 have problems, please detail all of them here.

*attach the output of the lspci -vvn command

*attach for each problematic mode:
X config file
X log file

*When filing a bug please set this tracking bug as a blocker for the
bug you file. That way all relevant bugreports will show up in the
dependancy list for this tracking bug report. This will greatly help
make sure your bugreport on this testing issue is not lost in the vast
sea of bugreports. 

Files of note:
/etc/X11/XF86Config   config file
/var/log/XFree86.0.log   log file
Comment 1 Jef Spaleta 2003-12-10 17:23:22 EST
<mharris> 
"It is important for users to realize, that the "vesa" driver itself,
is not much of a video driver.  It does not do much work at all,
instead it makes calls into the video card's VESA BIOS ROM, which
programs the card appropriately.  Any bugs in the BIOS, may result in
non working video, and since the problem is not in the driver, but in
the BIOS, and we can not fix a ROM BIOS, such problems are essentially
unfixable via software.  The video manufacturer can fix a broken BIOS
by providing a flash ROM update.
</mharris>

so to sum up. This testing is ONLY to try to determine a blacklist of
hardware that will not work with a vesa driven 'safe mode.' This
testing is not meant to fix any outstanding hardware issue, but to get
a lay of the land of existing working/broken hardware so a possible
'safe mode' functionality can be created.
Comment 2 Mike A. Harris 2003-12-10 17:31:47 EST
In particular, it would be nice for users to test every video mode
and color depth combination that their video card supports in it's
BIOS.  These can be shown in the X log file after starting up the
server.  It will require some minimal reconfiguration either by hand
editing the config file or using our redhat-config-xfree86 config
tool (system-config-xfree86 in rawhide).

If someone doesn't have the time to test all of that, or for some
other reason can not test it all, such as hrdware limitations, what
would be nice, would be if they could at least test 640x480, 800x600,
1024x768 resolutions using color depth 24, 16, and optionally 8.

That would provide the minimal amount of testing for me to have a
"safe mode" video driver matrix I believe.

Comment 3 Mike A. Harris 2004-10-12 04:02:58 EDT
Nobody seemed to respond to my vesa driver testing requests, and
no further comments were added to the report, or sent via email,
etc. so I'm closing this tracker as "WONTFIX" for now, since it
isn't really tracking anything now anyway.

Setting status to "WONTFIX"

Note You need to log in before you can comment on or make changes to this bug.